﻿@{
    var controllerName = this.ViewContext.RouteData.Values["controller"].ToString();
    var actionName = this.ViewContext.RouteData.Values["action"].ToString();
    var isHome = controllerName.Equals("Home", StringComparison.InvariantCultureIgnoreCase) && actionName.Equals("Index", StringComparison.InvariantCultureIgnoreCase);
}

<nav class="navbar navbar-main navbar-expand-lg navbar-transparent navbar-light bg-light" id="navbar-main">
    <div class="container px-lg-0">
        <!-- Logo -->
        <a class="navbar-brand mr-lg-5" href="@Url.Action("Index","Home")">
            <img alt="مرورگر بیت کوین، جستجوگر بیت کوین، کاوشگر بیت کوین" src="~/Content/img/logo.svg" id="navbar-logo" style="height: 50px;">
        </a>
        <!-- Navbar collapse trigger -->
        <button class="navbar-toggler p-1" type="button" data-toggle="collapse" data-target="#navbar-main-collapse" aria-controls="navbar-main-collapse" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <!-- Navbar nav -->
        <div class="collapse navbar-collapse" id="navbar-main-collapse">
            <ul class="navbar-nav align-items-lg-center ml-lg-auto">
                <li class="nav-item@(isHome ? " dropdown" : "") d-xl-block">
                    @if (isHome)
                    {
                        <a class="nav-link dropdown-toggle" href="#" id="blockchainDropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">بلاک چین ها</a>
                        <div class="dropdown-menu" aria-labelledby="blockchainDropdown">
                            <a class="dropdown-item" href="@Url.Action("Index", "BTC")"><img src="~/Content/img/لوگو-بیت-کوین.png" class="img-fluid" style="max-height:25px;"/> بیت کوین</a>
                            <a class="dropdown-item" href="@Url.Action("Index", "LTC")"><img src="~/Content/img/لوگو-لایت-کوین.png" class="img-fluid" style="max-height:25px;"/> لایت کوین</a>
                            <a class="dropdown-item" href="@Url.Action("Index", "Doge")"><img src="~/Content/img/لوگو-دوج-کوین.png" class="img-fluid" style="max-height:25px;"/> دوج کوین</a>
                            <a class="dropdown-item" href="@Url.Action("Index", "Dash")"><img src="~/Content/img/لوگو-دش.png" class="img-fluid" style="max-height:25px;"/> دش کوین</a>
                        </div>
                    }
                    else
                    {
                        <form class="form-inline form-white mt-2 mt-md-0">
                            <div class="input-group mb-1 mt-1">
                                <div class="input-group-prepend">
                                    <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                                        <img src="" />
                                        BTC
                                    </button>
                                    <div class="dropdown-menu">
                                        <a class="dropdown-item" href="#">بیت کوین</a>
                                        <a class="dropdown-item" href="#">لایت کوین</a>
                                        <a class="dropdown-item" href="#">دوج کوین</a>
                                        <a class="dropdown-item" href="#">دش کوین</a>
                                    </div>
                                </div>
                                <input class="form-control form-control-white" style="width:400px;" type="text" placeholder="آدرس، کد تراکنش یا بلاک " aria-label="Search">
                                <div class="input-group-append">
                                    <button class="btn btn-lead" type="submit"><i class="fas fa-search"></i> کاوش</button>
                                </div>
                            </div>
                        </form>
                    }
                </li>
            </ul>
        </div>
    </div>
</nav>